%define url_ver	%(echo %version | cut -d. -f 1-2)

Name:		gnome-2048
Version:	3.38.2
Release:	%mkrel 1
Summary:	A 2048 clone for GNOME
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://wiki.gnome.org/Apps/2048
Source0:	https://download.gnome.org/sources/gnome-2048/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(libgnome-games-support-1)

%description
A GNOME clone of the popular game 2048.
http://en.wikipedia.org/wiki/2048_(video_game)


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.TwentyFortyEight.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.TwentyFortyEight.gschema.xml
%{_datadir}/metainfo/org.gnome.TwentyFortyEight.appdata.xml
%{_iconsdir}/hicolor/*/apps/org.gnome.TwentyFortyEight*.*
%{_mandir}/man6/%{name}.6.*


%changelog
* Sun Nov 22 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1648539
- new version 3.38.2

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625274
- new version 3.38.0

* Fri Aug 28 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1619389
- new version 3.37.91

* Thu Jun 11 2020 daviddavid <daviddavid> 3.37.1-1.mga8
+ Revision: 1592467
- new version 3.37.1

* Sat May 30 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1589035
- new version 3.36.3

* Sat Apr 25 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571939
- new version 3.36.2

* Tue Mar 10 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555155
- new version 3.36.0

* Wed Mar 04 2020 daviddavid <daviddavid> 3.35.90-1.mga8
+ Revision: 1553742
- new version 3.35.90

* Tue Feb 18 2020 umeabot <umeabot> 3.34.5-2.mga8
+ Revision: 1538580
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 ovitters <ovitters> 3.34.5-1.mga8
+ Revision: 1517079
- new version 3.34.5

* Sat Nov 23 2019 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1462396
- new version 3.34.4

* Tue Oct 29 2019 daviddavid <daviddavid> 3.34.3-1.mga8
+ Revision: 1456494
- new version 3.34.3

* Mon Oct 14 2019 daviddavid <daviddavid> 3.34.2-1.mga8
+ Revision: 1453121
- new version 3.34.2

* Tue Oct 08 2019 daviddavid <daviddavid> 3.34.1-1.mga8
+ Revision: 1450584
- new version 3.34.1

* Tue Sep 10 2019 tv <tv> 3.34.0-1.mga8
+ Revision: 1439360
- new release

* Fri Aug 09 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1428289
- new release

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392262
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1374360
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.91-1.mga7
+ Revision: 1372521
- switch to meson
- new version 3.31.91

* Mon Sep 10 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1258243
- initial package gnome-2048

